package cn.lihongjie.coal.dingtalkBotScene.controller;

import cn.lihongjie.coal.annotation.OrgScope;
import cn.lihongjie.coal.annotation.SysLog;
import cn.lihongjie.coal.base.dto.CommonQuery;
import cn.lihongjie.coal.base.dto.IdRequest;
import cn.lihongjie.coal.dingtalkBotScene.dto.CreateDingtalkBotSceneDto;
import cn.lihongjie.coal.dingtalkBotScene.dto.DingtalkBotSceneDto;
import cn.lihongjie.coal.dingtalkBotScene.dto.UpdateDingtalkBotSceneDto;
import cn.lihongjie.coal.dingtalkBotScene.service.DingtalkBotSceneService;

import lombok.extern.slf4j.Slf4j;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/dingtalkBotScene")
@SysLog(module = "钉钉机器人发送场景")
@Slf4j
@OrgScope
public class DingtalkBotSceneController {
    @Autowired private DingtalkBotSceneService service;

    @PostMapping("/create")
    public DingtalkBotSceneDto create(@RequestBody CreateDingtalkBotSceneDto request) {
        return this.service.create(request);
    }

    @PostMapping("/update")
    public DingtalkBotSceneDto update(@RequestBody UpdateDingtalkBotSceneDto request) {
        return this.service.update(request);
    }

    @PostMapping("/delete")
    public Object delete(@RequestBody IdRequest request) {
        this.service.delete(request);
        return true;
    }

    @PostMapping("/getById")
    public DingtalkBotSceneDto getById(@RequestBody IdRequest request) {
        return this.service.getById(request.getId());
    }

    @PostMapping("/list")
    public Page<DingtalkBotSceneDto> list(@RequestBody CommonQuery request) {
        return this.service.list(request);
    }
}
